Downloadable fonts (Meta Bold) fail on SUMO

RESOLVED FIXED in 2013Q2

Status

support.mozilla.org
General
P3
major
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: wenzel, Assigned: rrosario)

Tracking

unspecified
2013Q2

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: u=user c=general p=1 s=2013.12, URL)

(Reporter)

Description

5 years ago
I get the following error in the console on SUMO:

[15:24:17.166] downloadable font: download failed (font-family: "MetaBold" style:normal weight:normal stretch:normal src index:1): bad URI or cross-site access not allowed
source: http://support.cdn.mozilla.net/static/fonts/MetaWebPro-Bold.woff @ http://support.cdn.mozilla.net/static/css/common-min.css?build=ff6237d

This makes the Firefox (etc.) word marks look odd.

Sounds like this might be a regression on the CDN side, not caused by SUMO.
(Assignee)

Comment 1

5 years ago
Oy. Yeah. This seems related to our move from media to static.
Assignee: nobody → rrosario
Whiteboard: u=user c=general p=1 s=2013.12
Target Milestone: --- → 2013Q2
(Assignee)

Comment 2

5 years ago
In a PR:
https://github.com/mozilla/kitsune/pull/1440
(Assignee)

Updated

5 years ago
Priority: -- → P3
(Assignee)

Comment 3

5 years ago
Landed .htaccess fix on master:

https://github.com/mozilla/kitsune/7e0aaecbaaa4b410c9627bc343b3777248caf6d9
(Assignee)

Comment 4

5 years ago
https://github.com/mozilla/kitsune/commit/7e0aaecbaaa4b410c9627bc343b3777248caf6d9 is the right url
(Assignee)

Updated

5 years ago
Depends on: 884395
(Assignee)

Comment 5

5 years ago
This is fixed but it's going to take a while for the CDN to expire it's copy. Note the expires:

$ curl -I https://support.cdn.mozilla.net/static/fonts/MetaWebPro-Bold.woff
HTTP/1.1 200 OK
Last-Modified: Thu, 06 Jun 2013 18:29:03 GMT
ETag: "4de807d1bd9c0"
Server: Apache
X-Backend-Server: support2.webapp.phx1.mozilla.com
Content-Type: text/plain; charset=UTF-8
X-Cache-Info: cached
Cache-Control: max-age=460714
Expires: Tue, 25 Jun 2013 01:10:11 GMT
Date: Wed, 19 Jun 2013 17:11:37 GMT
Connection: keep-alive
(Assignee)

Comment 6

5 years ago
I'm going to go ahead and mark this fixed. We're just waiting for the CDN cache to expire tomorrow.

Prod is fine:
$ curl -I https://support.mozilla.org/static/fonts/MetaWebPro-Bold.woff
HTTP/1.1 200 OK
Server: Apache
X-Backend-Server: support5.webapp.phx1.mozilla.com
vary: Origin
Cache-Control: max-age=31536000
Content-Type: application/font-woff
Date: Mon, 24 Jun 2013 14:48:13 GMT
Expires: Tue, 24 Jun 2014 14:48:13 GMT
Accept-Ranges: bytes
ETag: "4de807d1bd9c0"
Last-Modified: Thu, 06 Jun 2013 18:29:03 GMT
X-Cache-Info: caching
Content-Length: 23048
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.